import '../../../stencil.core';
export declare class Post {
    el: HTMLElement;
    data: any;
    dataJson: string;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    postRender(): void;
    parsePost(post: any): any;
    render(): JSX.Element;
}
